CVE-2018-14679 (retired)

Priority
Description
An issue was discovered in mspack/chmd.c in libmspack before 0.7alpha.
There is an off-by-one error in the CHM PMGI/PMGL chunk number validity
checks, which could lead to denial of service (uninitialized data
dereference and application crash).
Assigned-to
leosilva
Notes
mdeslaurclamav in xenial+ uses the system libmspack, trusty uses
the embedded one.
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):released (0.100.1+dfsg-1ubuntu0.12.04.3)
Ubuntu 14.04 ESM (Trusty Tahr):released (0.100.1+dfsg-1ubuntu0.14.04.3)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (uses system libmspack)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (uses system libmspack)
Ubuntu 19.04 (Disco Dingo):not-affected (uses system libmspack)
Ubuntu 19.10 (Eoan):not-affected (uses system libmspack)
Package
Upstream:released (0.7)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.5-1ubuntu0.16.04.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (0.6-3ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):not-affected (0.7-1)
Ubuntu 19.10 (Eoan):not-affected (0.7-1)
Patches:
Upstream:https://github.com/kyz/libmspack/commit/72e70a921f0f07fee748aec2274b30784e1d312a
More Information

Updated: 2019-10-09 08:03:10 UTC (commit 33aea848a182c0afcd0a3f927a01a7ecd9a061ee)